Get Return Orders

View as Markdown

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringOptionalformat: "int32"

Query parameters

PagestringOptionalformat: "int32"
Page of return orders to get
LimitstringOptionalformat: "int32"
Amount of return orders per page to request
SortOrderstringOptionalformat: "int32"
Order to sort results by
StartDatedatetimeOptional
Start date to filter orders inserted later than
EndDatedatetimeOptional
End date to filter orders inserted earlier than
IDsstringOptional
Comma separated list of return orders ids to filter by
ReferenceIdsstringOptional
Comma separated list of reference ids to filter by
StatusstringOptional
Comma separated list of statuses to filter by
FulfillmentCenterIdsstringOptional
Comma separated list of destination fulfillment center IDs to filter by
TrackingNumbersstringOptional
Comma separated list of tracking numbers to filter by
OriginalShipmentIdsstringOptional
Comma separated list of original shipment IDs to filter by
InventoryIdsstringOptional
Comma separated list of inventory IDs contained in return to filter by

Response headers

Page-Numberstring or null
Number of the current page
Total-Pagesstring or null
Total number of pages of results
Total-Countstring or null
Total number of results
Page-Sizestring or null
Number of results per page

Response

Success
channelobject or null
completed_datedatetime or null
customer_namestring or null
fulfillment_centerobject or null
idinteger or null
insert_datedatetime or null
inventorylist of objects or null
invoice_amountdouble or null
original_shipment_idinteger or null
reference_idstring or null
return_typeenum or null
Regular ReturnToSender
Allowed values:
statusenum or null
AwaitingArrival Arrived Processing Completed Cancelled
Allowed values:
store_order_idstring or null
tagslist of objects or null
tracking_numberstring or null
transactionslist of objects or null

Errors